# usart_iso7816_options_t Struct Reference

`#include <usart.h>`

## Detailed Description

Input parameters when initializing ISO7816 mode.

Definition at line 145 of file usart.h.

## Data Fields
int | bit_order
| Bit order in transmitted characters: 0: LSB first; 1: MSB first.
int | dis_suc_nack
| Disable successive NACKs.
unsigned short | fidi_ratio
| The number of ISO7816 clock ticks in every bit period (1 to 2047, 0 = disable clock).
int | inhibit_nack
| Inhibit Non Acknowledge: 0: the NACK is generated; 1: the NACK is not generated.
unsigned long | iso7816_hz
| Set the frequency of the ISO7816 clock.
unsigned char | max_iterations
| Max number of repetitions (0 to 7).
unsigned char | paritytype
| How to calculate the parity bit: USART_EVEN_PARITY for normal mode or USART_ODD_PARITY for inverse mode.

## Field Documentation

int usart_iso7816_options_t::bit_order

Bit order in transmitted characters:

- 0: LSB first;
- 1: MSB first.

Definition at line 177 of file usart.h.

Referenced by usart_init_iso7816().

int usart_iso7816_options_t::dis_suc_nack

Disable successive NACKs.

Successive parity errors are counted up to the value in the max_iterations field. These parity errors generate a NACK on the ISO line. As soon as this value is reached, no addititional NACK is sent on the ISO line. The ITERATION flag is asserted.

Definition at line 169 of file usart.h.

Referenced by usart_init_iso7816().

unsigned short usart_iso7816_options_t::fidi_ratio

The number of ISO7816 clock ticks in every bit period (1 to 2047, 0 = disable clock).

Bit rate = iso7816_hz / fidi_ratio.

Definition at line 152 of file usart.h.

Referenced by usart_init_iso7816().

int usart_iso7816_options_t::inhibit_nack

Inhibit Non Acknowledge:

- 0: the NACK is generated;
- 1: the NACK is not generated.

Note:
  This bit will be used only in ISO7816 mode, protocol T = 0 receiver.

Definition at line 163 of file usart.h.

Referenced by usart_init_iso7816().

unsigned long usart_iso7816_options_t::iso7816_hz

Set the frequency of the ISO7816 clock.

Definition at line 148 of file usart.h.

Referenced by usart_init_iso7816().

unsigned char usart_iso7816_options_t::max_iterations

Max number of repetitions (0 to 7).

Definition at line 172 of file usart.h.

Referenced by usart_init_iso7816().

unsigned char usart_iso7816_options_t::paritytype

How to calculate the parity bit: USART_EVEN_PARITY for normal mode or USART_ODD_PARITY for inverse mode.

Definition at line 156 of file usart.h.

Referenced by usart_init_iso7816().